---
id: users-delete-token
title: "Invalidate a user access token"
description: "Invalidate a user access token"
sidebar_label: "Invalidate a user access token"
hide_title: true
hide_table_of_contents: true
api: eJzlmMtu2zgUhl+F4KoFNFHcJhvv3LGCMZCxW8XuokFg0NKJxUa3ISk3GUHvPofUxbp1isZZBIg3lijynJ8/P0k8ymmSgmCKJ/HCp1OaSRDyDx9CULBOHiCmFlVsL+n0lip9LumdRSV4meDqCVtzOstUkAj+rwmCLXcF9kiZYBHGENL04XgB21SA4WK8gGcm2pb72CK9ACJGpzlVT6m+JpXg8Z4WFhXwT8YFoDQlMiis0VBatDm0qA/SEzwtpZgL5AdXAY+JCoAkYs/iWunP81o0Yo/XEO8xyfTD5eVvhR2KvtMtMk1iCVIn+3B+rv+6MW8yzwMp77OQ1J1Rh5fECmKlu7M0DblnctjfpR6TDyeQ7L6Dp2iBP4tejOX5xHzioj6Q6vnxcX2F5kbxckYRKmd7GHOym32NboEQiSD1EIvCI4vSEHraCi3O/62Qpn8n3my+dZ0vG+dmreNxKbNSbxWRCcGecARXEMkTZll01vy26XhX9MXOYmKSkuSelHIQIKbIDxBQrzvfhUDucT6qnll7Unh7/SRbZRjSprjq+1lZ9A6ZeP8/FvIYE0f1/dEkzau16DhqHQ3pUVUbrbVWJE6GJC7iAwu5T/7EeSCDnIXy1RE5pvElyNwsZ5v1Xyt38c2Zv0k0R4w9Ijo5BdGOtW1Gx3kbYfXjkNVNzKq3HPivDtKOuJeg82rlflrM587yTaLZtvPI5MdTmDwa2gayB9UIiRdDEpeJIldJFr8+DI/KXoLB5Wq9vVptlm/z8dh4eQTw4hQAj262AWyzNKDvcmz3uEDgcKsdEqea3etCsCfvJThcLNeOu5xdb28c96vjbh3XXblvksmuuTWYl6dtKMft7b62e8j1SB24Ur3nmQLCiCnVmCmtiKrqWaxLg0QXu2WZq1dGl5NTah8mtimA7bwuKQu7rHrtvK5XC104gjjUpW0mQhwaKJXKqW2zlJ9FCXot/Mx7OPOSiBatgvlG3w/l+vfK5oYCHamuTfX5DpgAYajQZpqe1Yr8bRLNMRFxcUdOZp8XOFIrK52YnJ2fnWtW00SqiJksVcn8S5M6njbiFDwqOw0ZN3WumXpeuXdLDxMcZ/zD/2mrKK8+HGBjU/SjJwGK0sPyfMckbERYFLoZiwihPyzg4YEJznaGU3wQcamPcd3ucecGA4XNk4i+cyue3xOdfEx5fcvG+oZFJzJ9hocP8NT+NKG/Nzwr7y8+PDxDU2NnoZ8DATAfodC+lJdnuHqpag0cPI01hg35c+faWTvYXe9AWutbwWbVBzrBqC5cNNPDfCMqiq51WmNR/AdGEE2U
sidebar_class_name: "delete api-method"
info_path: sql-reference/rest-api/motherduck-rest-api
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";
import Translate from "@docusaurus/Translate";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Invalidate a user access token"}
>
</Heading>

<MethodEndpoint
  method={"delete"}
  path={"/v1/users/{username}/tokens/{token_id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Invalidate a user access token

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
>
  <Translate id="theme.openapi.request.title">Request</Translate>
</Heading>

<ParamsDetails
  {...require("./users-delete-token.ParamsDetails.json")}
>
  
</ParamsDetails>

<RequestSchema
  {...require("./users-delete-token.RequestSchema.json")}
>
  
</RequestSchema>

<StatusCodes
  {...require("./users-delete-token.StatusCodes.json")}
>
  
</StatusCodes>


      

---

## Docs feedback

MotherDuck accepts optional user-submitted feedback about this page at `POST https://motherduck.com/docs/api/feedback/agent`.
For agents and automated tools, feedback submission should be user-confirmed before sending.

Payload:

```json
{
  "page_path": "/sql-reference/rest-api/users-delete-token/",
  "page_title": "Invalidate a user access token",
  "text": "<the user's feedback, max 2000 characters>",
  "source": "<optional identifier for your interface, for example 'claude.ai' or 'chatgpt'>"
}
```

`page_path` and `text` are required; `page_title` and `source` are optional. Responses: `200 {"feedback_id": "<uuid>"}`, `400` for malformed payloads, and `429` when rate-limited.
